CS::Geometry::Box Class Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CS::Geometry::Box Class Reference

A box. More...

`#include <cstool/genmeshbuilder.h>`

Inheritance diagram for CS::Geometry::Box:

List of all members.

## Public Member Functions
virtual void | Append (iGeneralFactoryState *state)
| Append this primitive to the given factory.
virtual bool | Append (iMeshFactoryWrapper *factory)
| Append this primitive to the given factory.
uint32 | GetFlags () const
| Get the flags.
void | SetFlags (uint32 flags)
| Set the flags.
void | SetMapper (TextureMapper *mapper)
| Set the mapper.

## Detailed Description

A box.

Definition at line 182 of file genmeshbuilder.h.

## Member Function Documentation

virtual void CS::Geometry::Box::Append | ( | iGeneralFactoryState * | factory | ) | `[virtual]`

Append this primitive to the given factory.

Implements CS::Geometry::Primitive.

virtual bool CS::Geometry::Box::Append | ( | iMeshFactoryWrapper * | factory | ) | `[inline, virtual]`

Append this primitive to the given factory.

Returns false if the primitive is not a genmesh.

Reimplemented from CS::Geometry::Primitive.

Definition at line 224 of file genmeshbuilder.h.

uint32 CS::Geometry::Box::GetFlags | ( |  | ) | const`[inline]`

Get the flags.

Definition at line 221 of file genmeshbuilder.h.

void CS::Geometry::Box::SetFlags | ( | uint32 | flags | ) | `[inline]`

Set the flags.

These are a combination of csPrimitives::BoxFlags enumeration values. Default is CS_PRIMBOX_SMOOTH.

Definition at line 215 of file genmeshbuilder.h.

void CS::Geometry::Box::SetMapper | ( | TextureMapper * | mapper | ) | `[inline]`

Set the mapper.

Default mapper is Primitives::DensityTextureMapper with density 1.

Definition at line 206 of file genmeshbuilder.h.

The documentation for this class was generated from the following file:

- cstool/genmeshbuilder.h